Announcement

Collapse
No announcement yet.

to install svn client 1.6 on Centos 7?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • to install svn client 1.6 on Centos 7?

    Hi all,

    By default, repositories set for Centos 7 include svn version 1.7

    It is a migration of a legacy system to another machine and upgrade of svn is not easy, so really need 1.6

    Preferably not building it from source. Is there a Centos repo that will allow me to install client v 1.6?

    Thanks,
    Rudolf

  • #2
    Any SVN server release version can serve out repositories from all prior releases - that's one of the most important of compatibility rules for SVN.

    So you should be able to simply copy your SVN 1.6 repositories onto a system running SVN 1.7, 1.8, 1.9 or 1.10 and have it properly serve out those unmodified repositories to all SVN client versions. Explicitly, you do NOT need to have SVN 1.6 on your server to serve out SVN 1.6 repositories.

    Now, if you don't upgrade them, then newer clients won't be able to use newer protocol changes and/or optimizations. But that's your decision.

    Comment

    Working...
    X